=begin
= xmlrpc4r - XML-RPC for Ruby
Copyright (C) 2001, 2002 by Michael Neumann (neumann@s-direktnet.de)

Released under the same term of license as Ruby.

== What is XML-RPC ?
XML-RPC provides remote procedure calls over HTTP with XML. It is like SOAP but
much easier. For more information see the XML-RPC homepage 
((<URL:http://www.xmlrpc.com/>)).

== HOWTO
See ((<here|URL:howto.html>)).

== Documentation
* ((<Base64|URL:base64.html>)) 
* ((<DateTime|URL:datetime.html>)) 
* ((<Client|URL:client.html>)) 
* ((<Server|URL:server.html>)) 

== Features

: Extensions
* Introspection
* multiCall
* optionally nil values and integers larger than 32 Bit

: Server
* Standalone XML-RPC server
* CGI-based (works with FastCGI)
* Apache mod_ruby server
* WEBrick servlet

: Client
* synchronous/asynchronous calls
* Basic HTTP-401 Authentification
* HTTPS protocol (SSL)

: Parser
* NQXMLStreamParser
* NQXMLTreeParser
* XMLStreamParser (fastest)
* XMLTreeParser
 
: General
* possible to choose between XMLParser Module (Expat wrapper) and NQXML (pure Ruby) parsers
* Marshalling Ruby objects to Hashs and reconstruct them later from a Hash
* SandStorm component architecture Client interface


== ChangeLog
See ((<here|URL:ChangeLog.html>)).

== Download
xmlrpc4r can be downloaded from here:

* Version 1.7.10 (2002-05-01):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_10.tar.gz>))

* Version 1.7.9 (2002-01-09):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_9.tar.gz>))

* Version 1.7.8 (2001-12-12):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_8.tar.gz>))


* Version 1.7.7 (2001-11-23):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_7.tar.gz>))


* Version 1.7.6 (2001-11-02):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_6.tar.gz>))

* Version 1.7.5 (2001-10-30):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_5.tar.gz>))


* Version 1.7.4 (2001-10-22):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_4.tar.gz>))

* Version 1.7.3 (2001-10-09):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_3.tar.gz>))

* Version 1.7.2 (2001-08-01):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_2.tar.gz>))

* Version 1.7.1 (2001-07-27):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_1.tar.gz>))

* Version 1.7.0 (2001-07-26):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_7_0.tar.gz>))

* Version 1.6.9 (2001-07-19):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_9.tar.gz>))

* Version 1.6.8 (2001-07-06):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_8.tar.gz>))

* Version 1.6.7 (2001-07-02):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_7.tar.gz>))

* Version 1.6.6 (2001-06-25):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_6.tar.gz>))

* Version 1.6.5 (2001-06-21):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_5.tar.gz>))

* Version 1.6.4 (2001-06-19):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_4.tar.gz>))

* Version 1.6.3 (2001-06-12):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_3.tar.gz>))

* Version 1.6.2 (2001-06-03):

  ((<URL:http://www.fantasy-coders.de/ruby/xmlrpc4r/xmlrpc4r-1_6_2.tar.gz>))


== Further information
For more information on installation and prerequisites read the (('README')) 
file of the package.

== History
    $Id: index.rd,v 1.35 2002/05/01 11:22:29 michael Exp $

=end
